/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

	/**
	 * 是否是实体数据导出
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public isDEExport: boolean = false;

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public getDataItems(): any[] {
    if(this.isDEExport){
		  return [
      ]
    }else{
		  return [
        {
          name: 'organizationname',
          prop: 'organizationname',
          dataType: 'TEXT',
        },
        {
          name: 'orgcode',
          prop: 'orgcode',
          dataType: 'TEXT',
        },
        {
          name: 'organizationtype',
          prop: 'organizationtype',
          dataType: 'SSCODELIST',
        },
        {
          name: 'showorder',
          prop: 'showorder',
          dataType: 'BIGINT',
        },
        {
          name: 'shortname',
          prop: 'shortname',
          dataType: 'TEXT',
        },
        {
          name: 'srfmajortext',
          prop: 'organizationname',
          dataType: 'TEXT',
        },
        {
          name: 'srfdatatype',
          prop: 'organizationtype',
          dataType: 'SSCODELIST',
        },
        {
          name: 'srfdataaccaction',
          prop: 'organizationid',
          dataType: 'GUID',
        },
        {
          name: 'srfkey',
          prop: 'organizationid',
          dataType: 'GUID',
          isEditable:true
        },
        {
          name: 'operationunittype',
          prop: 'operationunittype',
          dataType: 'SSCODELIST',
        },
        {
          name: 'hrorganization',
          prop: 'organizationid',
        },

        {
          name:'size',
          prop:'size'
        },
        {
          name:'query',
          prop:'query'
        },
        {
          name:'filter',
          prop:'filter'
        },
        {
          name:'page',
          prop:'page'
        },
        {
          name:'sort',
          prop:'sort'
        },
        {
          name:'srfparentdata',
          prop:'srfparentdata'
        },
        // 前端新增修改标识，新增为"0",修改为"1"或未设值
        {
          name: 'srffrontuf',
          prop: 'srffrontuf',
          dataType: 'TEXT',
        },
      ]
    }
  }

}